Posted on 3 Comments

TweetDeck — Installing in Ubuntu 64-bit

TweetDeck
TweetDeck

With Adobe AIR‘s (the runtime required by TweetDeck) official support for Linux ended, and no Linux 64-bit edition already in place, installing TweetDeck it in Ubuntu 64-bit is one hell of a task. You can get it installed in your 64-bit Linux system by following one of these tutorials, but chances are you’ll end up with a partially working installation, as happened with me.

Here I list out 4 simple steps to get the thing properly installed & working in Ubuntu:

  1. Download the 64-bit Adobe AIR deb package.
  2. Install the deb using the command: sudo dpkg -i adobeair_64.deb
  3. (Important) Install ia32-libs: sudo apt-get install ia32-libs. This is required for 32-bit environment emulation. Remember, the above packaged “64-bit” AIR is still 32-bit Linux version only. If you do not install ia32-libs, you may get errors like – Error loading the runtime (libxml2.so.2: wrong ELF class: ELFCLASS64)
  4. Download the latest TweetDeck AIR package. Install the package by double-clicking on it. Alternately, fire the command “Adobe AIR Application Installer” (with quotes) to invoke the GUI app installer, from where you can browse to the location of the downloaded TweetDeck AIR package to install it.

Tested on Kubuntu 11.10 (64-bit)

3 thoughts on “TweetDeck — Installing in Ubuntu 64-bit

  1. Thanks man!! The post helped!!!

  2. Glad to know that, CJ. 🙂

  3. thanks for it, gonna try this

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.